<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2025 (x64) (https://www.altova.com) by CGI IT CZECH REPUBLIC S.R.O. (CGI IT CZECH REPUBLIC S.R.O.) -->
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by Jakub Jicha (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns="http://www.ote-cr.cz/schema/oze/evcs" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.ote-cr.cz/schema/oze/evcs" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="RESEVCS">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:ResSenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ResReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ChargingStation" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Dobíjecí stanice</xsd:documentation>
						<xsd:documentation xml:lang="EN">Name of PDT (max 60 characters)</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="OperatorIdent">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Identifikace provozovatele dobíjecí stanice</xsd:documentation>
									<xsd:documentation xml:lang="EN">Name of PDT (max 60 characters)</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="operator-ean" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">EAN RÚT provozovatele stanice</xsd:documentation>
											<xsd:documentation xml:lang="EN">EAN13 Sender identification (author of trade instruction)</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:minLength value="13"/>
												<xsd:maxLength value="13"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="operator" use="optional">
										<xsd:annotation>
											<xsd:documentation>Číslo obchodního partnera provozovatele</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="10"/>
												<xsd:minLength value="1"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
							<xsd:element name="Sources" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Tabulka připojených výrobních zdrojů elektřiny</xsd:documentation>
									<xsd:documentation xml:lang="EN">Name of PDT (max 60 characters)</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="source-id" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">ID výrobního zdroje vázaného na hodnotu položky</xsd:documentation>
											<xsd:documentation xml:lang="EN">Claim status</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="20"/>
												<xsd:minLength value="1"/>
												<xsd:enumeration value="PROPOSED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Návrh</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="DSO">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ke schválení PDS</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="CANCELED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Zrušeno</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="ACCEPTED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Schváleno</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="REJECTED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Zamítnuto</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="VERIFIED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ověřeno</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="TERMINATED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ukončeno</xsd:documentation>
														<xsd:documentation xml:lang="EN"/>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="SUBMITTED">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ke schválení OTE</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="valid-date-from" type="xsd:date" use="required">
										<xsd:annotation>
											<xsd:documentation>Datum platnosti připojení dobíjecí stanice od</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="valid-date-to" type="xsd:date" use="required">
										<xsd:annotation>
											<xsd:documentation>Datum platnosti připojení dobíjecí stanice do</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="producer-status">
										<xsd:annotation>
											<xsd:documentation>Status vyjádření výrobce</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:minLength value="1"/>
												<xsd:maxLength value="10"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="producer-note">
										<xsd:annotation>
											<xsd:documentation>Vyjádření výrobce</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="255"/>
												<xsd:minLength value="1"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="registration-id" use="optional">
							<xsd:annotation>
								<xsd:documentation>ID registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="10"/>
									<xsd:minLength value="1"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="status">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Status registrace dobíjecí stanice</xsd:documentation>
								<xsd:documentation xml:lang="EN">Claim status</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="PROPOSED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Návrh</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="DSO">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ke schválení PDS</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="CANCELED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zrušeno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="ACCEPTED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Schváleno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="REJECTED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zamítnuto</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="VERIFIED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ověřeno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="TERMINATED">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ukončeno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="SUBMITTED"/>
									<xsd:enumeration value="PRODUCER">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Ke schválení výrobcem</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="charging-station-id" use="optional">
							<xsd:annotation>
								<xsd:documentation>Jednoznačný interní identifikátor dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="10"/>
									<xsd:minLength value="1"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="opm-id" type="ote:pod_id" use="optional">
							<xsd:annotation>
								<xsd:documentation>EAN OPM dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="dso">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Provozovatel distribuční/přenosové soustavy</xsd:documentation>
								<xsd:documentation xml:lang="EN">Claim status</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string"/>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="charging-station-name" use="optional">
							<xsd:annotation>
								<xsd:documentation>Název dobíjecí stanice zadaný provozovatelem při registraci</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="100"/>
									<xsd:minLength value="1"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="pds-note">
							<xsd:annotation>
								<xsd:documentation>Vyjádření PDS</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="255"/>
									<xsd:minLength value="1"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="ote-note">
							<xsd:annotation>
								<xsd:documentation>Vyjádření OTE</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:minLength value="1"/>
									<xsd:maxLength value="255"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="PK1">
							<xsd:annotation>
								<xsd:documentation>Registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK3">
							<xsd:annotation>
								<xsd:documentation>Opis registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK4">
							<xsd:annotation>
								<xsd:documentation>Aktualizace registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK6">
							<xsd:annotation>
								<xsd:documentation>Opis aktualizace registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK7">
							<xsd:annotation>
								<xsd:documentation>Žádost o ověření ze strany PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK8">
							<xsd:annotation>
								<xsd:documentation>Výsledek ověření ze strany PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKA">
							<xsd:annotation>
								<xsd:documentation>Opis výsledku ověření ze strany PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKB">
							<xsd:annotation>
								<xsd:documentation>Žádost o schválení ze strany výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKC">
							<xsd:annotation>
								<xsd:documentation>Výsledek schválení ze strany výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKE">
							<xsd:annotation>
								<xsd:documentation>Opis výsledku schválení ze strany výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKF">
							<xsd:annotation>
								<xsd:documentation>Opis schválení registrace dobíjecí stanice (pro provozovatele)</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKG">
							<xsd:annotation>
								<xsd:documentation>Dotaz na registraci dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKJ">
							<xsd:annotation>
								<xsd:documentation>Výpis registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>